epp_DomainCreateRsp (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp02.domain.epp_DomainCreateRsp class

### org.openrtk.idl.epp02.domain

# Class epp_DomainCreateRsp

- `java.lang.Object`
- - `org.openrtk.idl.epp02.domain.epp_DomainCreateRsp`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_DomainCreateRsp`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

org/openrtk/idl/epp/domain/epp_DomainCreateRsp.java Generated by the IDL-to-Java compiler (portable), version "3.0" from epp_domain.idl Thursday, July 26, 2001 6:26:07 PM EDT

  ## Field Summary
  `String` | `m_expiration_date`
  `String` | `m_name`
  `String` | `m_roid`
  `epp_Response` | `m_rsp`

  ## Constructor Summary
  `epp_DomainCreateRsp()`
  `epp_DomainCreateRsp(epp_Response _m_rsp, String _m_name, String _m_roid, String _m_expiration_date)`

  ## Method Summary
  `String` | `getExpirationDate()`
  `String` | `getName()`
  `String` | `getRoid()`
  `epp_Response` | `getRsp()`
  `void` | `setExpirationDate(String value)`
  `void` | `setName(String value)`
  `void` | `setRoid(String value)`
  `void` | `setRsp(epp_Response value)`
  `String` | `toString()`

## Field Details

### m_expiration_date

    public String m_expiration_date

### m_name

    public String m_name

### m_roid

    public String m_roid

### m_rsp

    public epp_Response m_rsp

## Constructor Details

### epp_DomainCreateRsp

    public epp_DomainCreateRsp()

### epp_DomainCreateRsp

    public epp_DomainCreateRsp(epp_Response _m_rsp,
                               String _m_name,
                               String _m_roid,
                               String _m_expiration_date)

## Method Details

### getExpirationDate

    public String getExpirationDate()

### getName

    public String getName()

### getRoid

    public String getRoid()

### getRsp

    public epp_Response getRsp()

### setExpirationDate

    public void setExpirationDate(String value)

### setName

    public void setName(String value)

### setRoid

    public void setRoid(String value)

### setRsp

    public void setRsp(epp_Response value)

### toString

    public String toString()

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS